"use strict";

exports.__esModule = true;
exports.getProjectUtils = getProjectUtils;
exports.isRendererDetached = isRendererDetached;
function getProjectUtils(librayMap, utilsMetadata) {
  var projectUtils = {};
  if (utilsMetadata) {
    utilsMetadata.forEach(function (meta) {
      if (librayMap[meta === null || meta === void 0 ? void 0 : meta.npm["package"]]) {
        var lib = window[librayMap[meta === null || meta === void 0 ? void 0 : meta.npm["package"]]];
      }
    });
  }
}

/**
 * judges if current simulator renderer deteched or not
 * @returns detached or not
 */
function isRendererDetached() {
  // if current iframe detached from host document, the `window.parent` will be undefined.
  return !window.parent;
}