/**
 * Parse queryString
 * @param  {String} str '?q=query&b=test'
 * @return {Object}
 */
export declare function parseQuery(str: string): object;
/**
 * Stringify object to query parammeters
 * @param  {Object} obj
 * @return {String}
 */
export declare function stringifyQuery(obj: any): string;
export declare function uriEncode(uri: string): string;
export declare function uriDecode(uri: string): string;
export declare function withQueryParams(url: string, params?: object): string;
