"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _mobx = require("mobx");
var _renderer = _interopRequireDefault(require("./renderer"));
if (typeof window !== 'undefined') {
  window.SimulatorRenderer = _renderer["default"];
}
window.addEventListener('beforeunload', function () {
  (0, _mobx.runInAction)(function () {
    var _renderer$dispose;
    window.LCSimulatorHost = null;
    (_renderer$dispose = _renderer["default"].dispose) === null || _renderer$dispose === void 0 ? void 0 : _renderer$dispose.call(_renderer["default"]);
    window.SimulatorRenderer = null;
    window.ReactDOM.unmountComponentAtNode(document.getElementById('app'));
  });
});
var _default = exports["default"] = _renderer["default"];